Subject: Re: [PATCH] mtd: rawnand: brcmnand: Fix sparse warning in has_flash_dma()

From: Florian Fainelli <[email-masked]>
Date: Mon, 21 Oct 2019 09:41:46 -0700

On 10/19/19 2:39 AM, Miquel Raynal wrote:
> Hi Florian,
> 
> Florian Fainelli <[email-masked]> wrote on Fri, 18 Oct 2019
> 16:38:44 -0700:
> 
>> Sparse rightfully complained about has_flash_dma():
>> +drivers/mtd/nand/brcmnand/brcmnand.c:951:40: warning: Using plain integer as NULL pointer [sparse]
> 
> I don't get why would sparse complain about this... Anyway I prefer
> the !!(<pointer>) alternative if you don't mind. Otherwise the "!=
> NULL" comparison feels wrong.

I did not read the sparse complaint correctly and mixed up two issues
(one downstream, one upstream) there is still one that is legitimately
reported by sparse and that will be fixed in a v2, thanks.
-- 
Florian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel